## net.i2p.util
Class LogRecord

    java.lang.Object
      net.i2p.util.LogRecord

     class LogRecord

extends java.lang.Object

Frisbee

Constructor Summary
`LogRecord(java.lang.Class src, java.lang.String name, java.lang.String threadName, int priority, java.lang.String msg, java.lang.Throwable t)`

Method Summary
`long` `getDate()`
`java.lang.String` `getMessage()`
`int` `getPriority()`
`java.lang.Class` `getSource()`
`java.lang.String` `getSourceName()`
`java.lang.String` `getThreadName()`
`java.lang.Throwable` `getThrowable()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogRecord

    public LogRecord(java.lang.Class src,
                     java.lang.String name,
                     java.lang.String threadName,
                     int priority,
                     java.lang.String msg,
                     java.lang.Throwable t)

Method Detail

### getDate

    public long getDate()

### getSource

    public java.lang.Class getSource()

### getSourceName

    public java.lang.String getSourceName()

### getThreadName

    public java.lang.String getThreadName()

### getPriority

    public int getPriority()

### getMessage

    public java.lang.String getMessage()

### getThrowable

    public java.lang.Throwable getThrowable()